%define cfg_dir %_sysconfdir/%name
%define platform_list_dir %cfg_dir/platforms
%define platform_dir %_sysconfdir/platform

Name: platform-detect
Version: 0.1.1
Release: aw1

Summary: Platform detect tools
License: GPL
Group: System/Base

Source0: %name-%version.tar.bz2
BuildArch: noarch

BuildRequires: dialog

%description
Platform detect tools

%prep
%setup -q -c


%build
%__subst "s|@@CFG_DIR@@|%cfg_dir|g; \
	  s|@@PLATFORM_LIST_DIR@@|%platform_list_dir|g;
	  s|@@PLATFORM_DIR@@|%platform_dir|" `find . -type f`


%install
%__mkdir_p %buildroot{%_sbindir,%platform_list_dir,%cfg_dir,%platform_dir}
pushd platforms
    for f in `ls -1 *.inf`; do
        %__install -m 0644 $f %buildroot%platform_list_dir/
    done
popd
for f in platform-detect create-platform-detect-cfg-file; do
	%__install -m 0755 $f %buildroot%_sbindir/
done
%__install -m 0644 functions %buildroot%_sysconfdir/%name/

%files
%dir %attr(0755, root, root) %platform_list_dir
%dir %attr(0755, root, root) %cfg_dir
%dir %attr(0755, root, root) %platform_dir
%_sysconfdir/%name/functions
%platform_list_dir/*
%_sbindir/*

%changelog
* Fri Oct 15 2004 Grigory Milev <week@altlinux.ru> 0.1.1-aw1
- changed release from alt to aw

* Thu Feb 19 2004 Grigory Milev <week@altlinux.ru> 0.1.0-alt1
- aw54 adaptations

* Thu Jan  8 2004 Grigory Milev <week@altlinux.ru> 0.0.2-alt11
- don't show platform select dialog if not found platform for current vendor

* Sun Nov 30 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.0.2-alt10
- modified p850m configurations were added

* Thu Nov 13 2003 Grigory Milev <week@altlinux.ru> 0.0.2-alt9
- changed format for lilo configure

* Thu Nov 13 2003 Zhenja Kaluta <tren@altlinux.ru> 0.0.2-alt8
- Added noapic fo 1U

* Wed Nov 12 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.0.2-alt7
- generate platform-specific lm_sensors files for 2U platforms

* Wed Oct  8 2003 Zhenja Kaluta <tren@altlinux.ru> 0.0.2-alt6
- Fixed 3ware on 2u

* Tue Oct  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.0.2-alt5
- rename interfaces to eth01,eth02, etc.

* Tue Oct  7 2003 Zhenja Kaluta <tren@altlinux.ru> 0.0.2-alt4
- Hack to avoid scsi loading scsi on 1u

* Mon Oct  6 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.0.2-alt3
- inf file for p800m platform changed (nicdetect)

* Mon Oct  6 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.0.2-alt2
- platform inf files changed for nicdetect (rename interfaces)

* Thu Oct  2 2003 Zhenja Kaluta <tren@altlinux.ru> 0.0.2-alt1
- added pcfled arguments

* Thu Oct  2 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.0.1-alt2
- platform detection files for Iomega platforms was added

* Thu Oct  2 2003 Grigory Milev <week@altlinux.ru> 0.0.1-alt1
- initial
